This package is maintained with git-buildpackage(1). It follows DEP-14 for
branch naming (e.g. using debian/master for the current version in Debian
unstable due Debian Python team policy).

It uses pristine-tar(1) to store enough information in git to generate bit
identical tarballs when building the package without having downloaded an
upstream tarball first.

When working with patches it is recommended to use "gbp pq import" to import
the patches, modify the source and then use "gbp pq export --commit" to commit
the modifications.

The changelog is generated using "gbp dch" so if you submit any changes don't
bother to add changelog entries but rather provide a nice git commit message
that can then end up in the changelog.

It is recommended to build the package with pbuilder using:

    gbp buildpackage --git-pbuilder

For information on how to set up a pbuilder environment see the git-pbuilder(1)
manpage. In short:

    DIST=sid git-pbuilder create
    gbp clone https://salsa.debian.org/python-team/packages/validate-pyproject.git
    cd validate-pyproject
    gbp buildpackage --git-pbuilder

# Use of local sphinx inventory for -doc package
Where possible we use object.inf files from packages which provide the data.
Unfortunately not all required files can get included, the following upstream
projects are disabled in docs/conf.py by patching that file.

matplotlib, no -doc package provided by src:matplotlib any more
numpy, no -doc package provided by src:numpy any more
pyscaffold, not packaged in Debian

Also one sphinx extension is not available and got disabled by the patch
queue in docs/conf.py.

sphinx-jsonschema        https://github.com/lnoor/sphinx-jsonschema

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 May 2024 08:19:00 +0200
